package com.yazoo.browser.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import com.yazoo.browser.Activator;
import com.yazoo.browser.dialogs.SetSourceDialog;
import com.yazoo.browser.editors.WebBrowser;

public class SetSourceAction extends Action implements IWorkbenchWindowActionDelegate {
	
	public SetSourceAction() {
        setText("Set Page Source");
        setToolTipText("Set Page Source");
		setImageDescriptor(Activator.getImageDescriptor("icons/html.gif")); 
    }
    
    public void run(IAction action) {
    	//BrowserView browserView = Activator.getDefault().getBrowserView();
    	WebBrowser webBrowser = Activator.getDefault().getWebBrowser();
    	
    	SetSourceDialog dialog = new SetSourceDialog(
				Activator.getActiveWorkbenchShell(), webBrowser.getBrowser());
		dialog.open();
    }

    public void run() {
        run(this);
    }

    public void init(IWorkbenchWindow window) {
    }

    public void dispose() {
    }

	public void selectionChanged(IAction action, ISelection selection) {
	}
    
}

