package com.yazoo.browser.utils;

import java.lang.reflect.Method;

import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;

public class BrowserUtil {
    
	public static boolean isWindows() {
		return SWT.getPlatform().equals("win32");
	}
	
	public static boolean isLinux() {
		return SWT.getPlatform().equals("gtk");
	}
	
	public static void setScriptDisabled(Browser browser) {
		if (isWindows()) {
	    	try {

	    		Method method = browser.getClass().getMethod("setScriptDisabled", Boolean.class);
	    		if (method != null) {
	    			method.invoke(browser, false);
	    		}

	    	} catch (Exception e) {
	    	}
	    }
	}
	
}